/******************************************************************************/
/*  Target script for HITEXSTR7mem                                            */
/******************************************************************************/

function RAMReset()
{
  TargetInterface.resetAndStop(1);
  TargetInterface.pokeWord(0xA0000050, 0x01c2); // Map RAM at Zero
  TargetInterface.pokeWord(0x6C000004, 0x8005); // Set BCON1
  TargetInterface.pokeWord(0xE0005000, 0xFFFF); // Enable external memory interface
  TargetInterface.pokeWord(0xE0005004, 0x00FF); // Enable external memory interface
  TargetInterface.pokeWord(0xE0005008, 0xFFFF); // Enable external memory interface
  TargetInterface.pokeWord(0xE000500C, 0x0000); // Switch off all LEDs
}

function FLASHReset()
{
  TargetInterface.resetAndStop(1);
  TargetInterface.pokeWord(0xA0000050, 0x1c0); // Map FLASH at Zero
}

